### Property

# Adw EntryRow:input-purpose

since: 1.2

#### Declaration

    property input-purpose: Gtk.InputPurpose [ read, write ]

#### Description [src]

The input purpose of the entry row.

The input purpose can be used by input methods to adjust their behavior.

Type:`GtkInputPurpose`

Available since: 1.2

Default value | GTK_INPUT_PURPOSE_FREE_FORM
Getter method | `adw_entry_row_get_input_purpose()`
Setter method | `adw_entry_row_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no